package com.muyu.data.source.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 资产结构树形对象 Structure
 *
 * @author DeKangLiu
 * on 2024/4/24
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Structure {
    /**数据库表信息对象*/
    private List<DatabaseTableInformation> databaseTableInformationList;

    /**数据库表对象*/
    private List<DataBaseTable> dataBaseTableList;

}
