package com.muyu.data.source.mapper;

import com.muyu.data.source.domain.DictionaryData;
import com.muyu.data.source.domain.DictionaryType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * DictionaryMapper
 *
 * @author DeKangLiu
 * on 2024/4/29
 */
@Mapper
public interface DictionaryMapper {
    List<DictionaryType> selectDictionaryByStructureId(Integer id);

    List<DictionaryData> selectDictionaryDataByType(@Param("dictionaryType") String dictionaryType);

    int addDictionaryType(DictionaryType dictionaryType);

    int addDictionaryData(DictionaryData dictionaryData);

    int deleteDictionaryData(@Param("id") Integer id);

    int updateDictionaryData(DictionaryData dictionaryData);
}
