package com.muyu.data.source.service;

import com.muyu.common.core.domain.Result;
import com.muyu.data.source.domain.DictionaryData;
import com.muyu.data.source.domain.DictionaryType;

import java.util.List;

/**
 * 字典业务层 DictionaryService
 *
 * @author DeKangLiu
 * on 2024/4/29
 */
public interface DictionaryService {
    Result<List<DictionaryType>> findDictionaryByStructureId(Integer id);

    Result addDictionaryType(DictionaryType dictionaryType);

    Result addDictionaryData(DictionaryData dictionaryData);

    Result deleteDictionaryData(Integer id);

    Result updateDictionaryData(DictionaryData dictionaryData);
}
