package com.muyu.ruleengine.domain.req;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 引擎维护对象添加 EngineversionSaveReq
 *
 * @author DeKangLiu
 * Date 2024/5/7 18:34
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class EngineversionSaveReq {
    /**规则引擎id*/
    private Integer ruleId;

    /**版本编码*/
    private String versionCode;

    /**版本名称*/
    private String name;

    /**规则引擎内容*/
    private String code;

    /**是否激活*/
    private String isActivate;

    /**状态*/
    private String status;

    /**备注*/
    private String description;

    /**引擎描述*/
    private String codeIng;

    /**是否测试*/
    private String isTest;
}
