package com.muyu.ruleengine.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * RuleContentModel
 *
 * @author WangLei
 * @Date 2024/5/2 002 14:27
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RuleContentModel {

    private Long id;
    /**
     * 规则id
     */
    private Long ruleId;
    /**
     * 规则内容
     */
    private String ruleContent;
}
